<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout2}">


<head>
    <meta charset="UTF-8">
    <title>Disburse Fund</title>
</head>
<body>
<main layout:fragment="main" class="container-xxl bd-gutter mt-3 my-md-4">
    <main class="bd-main-xxl">
        <div class="row">
            <div class="col-md-12">
                <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark">
                    Disbursement Fund
                </div>
            </div>
        </div>
    </main>
    <div class="row">
        <div class="col-md-9">
            <div class="alert alert-danger" th:if="${gagal != null}">
                <h4>Process Data Failed!</h4>

                <p>Nominal Pencairan tidak boleh melebihi total nominal pengajuan..</p>
            </div>

            <table class="table small">
                <thead class="table-dark" style="--bs-table-bg:#15408d;">
                <tr>
                    <th class="table-dark" style="--bs-table-bg:#15408d;" width="5%">#</th>
                    <th align="center" class="table-dark" style="--bs-table-bg:#15408d;" width="15%">Attachement</th>
                    <th align="center" >Detail</th>
                </tr>
                </thead>
                <tbody th:each="dataPengajuanDana,row : ${pengajuanDana}">

                <tr>
                    <td rowspan="4" align="right" th:text="${row.index + 1}"></td>
                    <!--                        <td align="center" th:text="${periodeAnggaranBerjalan.getKodePeriodeAnggaran()}"></td>-->
                    <td rowspan="4" align="center">
                        <a th:if="${dataPengajuanDana.file} == 'default.jpg'" class="btn btn-danger" style="--bs-btn-padding-y: .25rem; --bs-btn-padding-x: .5rem; --bs-btn-font-size: .75rem;">
                            No Attachment
                        </a>
                        <a th:if="${dataPengajuanDana.file} != 'default.jpg'" class="btn btn-primary" style="--bs-btn-padding-y: .25rem; --bs-btn-padding-x: .5rem; --bs-btn-font-size: .75rem;" th:href="@{/pengajuandana/{pengajuanDana}/bukti/(pengajuanDana = ${dataPengajuanDana.id})}" target="_blank">
                            View Attachment
                        </a>
                    </td>
                    <td th:text="${dataPengajuanDana.getAnggaran().getKodeAnggaran()+' - '+dataPengajuanDana.getAnggaranDetail().getDeskripsi()}"></td>
                </tr>
                <tr>
                    <td th:text="${dataPengajuanDana.deskripsiBiaya}"></td>
                </tr>
                <tr>
                    <td th:text="${dataPengajuanDana.getKuantitas()+' X (Rp. ' + #numbers.formatDecimal(dataPengajuanDana.jumlah, 0, 'POINT', 2, 'COMMA') +')'}"></td>
                </tr>
                <tr>
                    <td th:text="${'Rp. ' + #numbers.formatDecimal(dataPengajuanDana.jumlah, 0, 'POINT', 2, 'COMMA')}"></td>
                </tr>
                </tbody>
            </table>

            <table class="table small">
                <tbody>
                <tr>
                    <td class="table-dark" style="--bs-table-bg:#15408d;">Total request fund</td>
                    <td align="right" th:text="${'Rp'+ #numbers.formatDecimal(totalPencairan, 0, 'POINT', 2, 'COMMA')}"></td>
                </tr>
                </tbody>
            </table>


            <form class="form-horizontal" th:action="@{/transaksi/pencairandana/update(idCair=${pencairanDana.id})}" th:object="${pencairanDana}" method="post" enctype="multipart/form-data">
                <div class="card">
                    <div class="card-body">


                        <div class="mb-3">
                            <label for="selectsatu" class="form-label">Type</label>
                            <select class="form-select" id="selectsatu" name="jenisPencairan" th:field="*{jenisPencairan}" data-placeholder="Choose one thing" required>
                                <option th:value="CASH">CASH</option>
                                <option th:value="TRANSFER">TRANSFER</option>
                            </select>
                        </div>

                        <div class="mb-3">
                            <label for="nominalMintaPencairan" class="form-label">Nominal</label>
                            <input type="text" class="form-control" id="nominalMintaPencairan" th:field="*{nominalMintaPencairan}" name="kuantitas" placeholder="0">
                            <p th:if="${#fields.hasErrors('nominalMintaPencairan')}" th:errors="*{nominalMintaPencairan}" class="text-danger"> Mata Anggaran Error</p>
                        </div>


                        <div class="mb-3">
                            <label for="selectdua" class="form-label">Bank</label>
                            <select class="form-select" id="selectdua" name="bank" th:field="*{bank}" data-placeholder="Choose one thing" required>
                                <option th:each="data : ${listBank}"
                                        th:text="${'('+ data.kodeBank +')'  + '       -       ' +  data.namaBank}"
                                        th:value="${data.id}">sdasd</option>
                            </select>
                            <!--                            <input type="hidden" id="requestFor" name="requestFor" th:field="*{requestFor}">-->
                        </div>

                        <div class="mb-3">
                            <label for="selecttiga" class="form-label">No Rekening</label>
                            <input type="text" class="form-control" id="selecttiga" th:field="*{nomorRekening}" name="nomorRekening" placeholder="Rek">
                            <p th:if="${#fields.hasErrors('nomorRekening')}" th:errors="*{nomorRekening}" class="text-danger"> Mata Anggaran Error</p>
                        </div>


                        <div class="mb-3">
                            <label for="lampiran" class="form-label">File Upload</label>
                            <input class="form-control" type="file" name="lampiran" id="lampiran" accept="image/jpeg,mage/jpg,image/gif,image/png,application/pdf,image/x-eps" required>
                            <p class="help-block">Upload file bila perlu.</p>
                        </div>

                        <div class="mb-3">
                            <label for="keterangan" class="form-label">Description</label>
                            <textarea class="form-control" id="keterangan" name="keterangan" th:field="*{keterangan}" rows="3"></textarea>
                            <p th:if="${#fields.hasErrors('keterangan')}" th:errors="*{keterangan}" class="text-danger"> Mata Anggaran Error</p>
                        </div>


                        <input type="hidden" name="id" th:field="*{id}">
                    </div>
                    <div class="card-body">
                        <a th:href="@{/transaksi/pengajuandana}" class="btn btn-default">Cancel</a>
                        <button type="submit" class="btn btn-primary pull-right" style="--bs-btn-bg: #15408d" id="simpan">Save</button>
                    </div>

                    <div class="row" th:each="dataPengajuanDana1,row : ${pengajuanDana}">
                        <input type="hidden" th:value="${dataPengajuanDana1.id}" class="flat-red" name="pengajuanDana">
                    </div>
                </div>

            </form>
        </div>
    </div>
</main>

</body>
</html>

<!--<!DOCTYPE html>-->
<!--<html xmlns:th="http://www.thymeleaf.org"-->
<!--      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"-->
<!--      layout:decorate="~{layout}">-->
<!--<head>-->
<!--    <meta charset="UTF-8">-->
<!--    <title>Title</title>-->
<!--</head>-->
<!--<body>-->

<!--<section layout:fragment="breadcrumb" class="content-header">-->
<!--    <h1>-->
<!--        Pencairan Dana-->
<!--        <small>Form</small>-->
<!--    </h1>-->
<!--    <ol class="breadcrumb">-->
<!--        <li class="treeview active"> Transaksi</li>-->
<!--        <li class="active"> Pencairan Dana</li>-->
<!--    </ol>-->
<!--</section>-->

<!--<section layout:fragment="main" class="content">-->
<!--    <div class="row">-->

<!--        <div class="col-md-6">-->
<!--            &lt;!&ndash; Horizontal Form &ndash;&gt;-->
<!--            <div class="box box-info">-->
<!--                <div class="box-header with-border">-->
<!--                    <h3 class="box-title">Form Pencairan dana</h3>-->
<!--                </div>-->

<!--                <div class="box-body no-padding">-->
<!--                    <div class="row" th:each="dataPengajuanDana,row : ${pengajuanDana}">-->
<!--                        <div class="col-md-12 col-sm-12 col-xs-12">-->
<!--                            <div class="info-box bg-green">-->
<!--                                <span class="info-box-icon"><i class="fa fa-bookmark-o"></i></span>-->

<!--                                <div class="info-box-content">-->
<!--                                    <span class="info-box-text" th:text="${dataPengajuanDana.deskripsiBiaya}">Bookmarks</span>-->
<!--                                    <span class="info-box-number" th:text="${'Rp. ' + #numbers.formatDecimal(dataPengajuanDana.jumlah, 0, 'POINT', 2, 'COMMA')}">41,410</span>-->
<!--                                    <div class="progress">-->
<!--                                        <div class="progress-bar" style="width: 70%"></div>-->
<!--                                    </div>-->
<!--                                </div>-->
<!--                                &lt;!&ndash; /.info-box-content &ndash;&gt;-->
<!--                            </div>-->
<!--                            &lt;!&ndash; /.info-box &ndash;&gt;-->
<!--                        </div>-->
<!--                    </div>-->
<!--                </div>-->



<!--                <form class="form-horizontal" th:action="@{/transaksi/pencairandana/update(idCair=${pencairanDana.id})}" th:object="${pencairanDana}" method="post" enctype="multipart/form-data">-->
<!--                    <div class="box-body">-->


<!--                        <div class="form-group">-->
<!--                            <label for="jenisPencairan" class="col-sm-2 control-label">Jenis</label>-->

<!--                            <div class="col-sm-10">-->
<!--                                <select class="form-control select2" name="jenisPencairan" th:field="*{jenisPencairan}" id="jenisPencairan" style="width: 100%;">-->
<!--                                    <option th:value="CASH">CASH</option>-->
<!--                                    <option th:value="TRANSFER">TRANSFER</option>-->
<!--                                </select>-->
<!--                            </div>-->
<!--                        </div>-->

<!--                        <div class="form-group">-->
<!--                            <label for="nominalMintaPencairan" class="col-sm-2 control-label">Nominal</label>-->

<!--                            <div class="col-sm-10">-->
<!--                                <input type="text" class="form-control" th:field="*{nominalMintaPencairan}" name="nominalMintaPencairan" id="nominalMintaPencairan" placeholder="0.00">-->
<!--                                <p th:if="${#fields.hasErrors('nominalMintaPencairan')}" th:errors="*{nominalMintaPencairan}" class="text-danger"> Mata Anggaran Error</p>-->
<!--                            </div>-->
<!--                        </div>-->

<!--                        <div class="form-group">-->
<!--                            <label for="bank" class="col-sm-2 control-label">Bank</label>-->

<!--                            <div class="col-sm-10">-->
<!--                                <select class="form-control select2" name="bank" th:field="*{bank}" id="bank" style="width: 100%;">-->

<!--                                    <option th:each="data : ${listBank}"-->
<!--                                            th:text="${'('+ data.kodeBank +')'  + '       -       ' +  data.namaBank}"-->
<!--                                            th:value="${data.id}">sdasd</option>-->
<!--                                </select>-->
<!--                            </div>-->
<!--                        </div>-->

<!--                        <div class="form-group">-->
<!--                            <label for="nomorRekening" class="col-sm-2 control-label">No_Rekening</label>-->

<!--                            <div class="col-sm-10">-->
<!--                                <input type="text" class="form-control" th:field="*{nomorRekening}" name="nomorRekening" id="nomorRekening" placeholder="Isi Nomor Rekening Jika Pencairan Transfer">-->
<!--                                <p th:if="${#fields.hasErrors('nomorRekening')}" th:errors="*{nomorRekening}" class="text-danger"> Mata Anggaran Error</p>-->
<!--                            </div>-->
<!--                        </div>-->

<!--                        <div class="form-group">-->
<!--                            <label for="lampiran" class="col-sm-2 control-label">File_Upload</label>-->

<!--                            <div class="col-sm-10">-->
<!--                                <input type="file" name="lampiran" id="lampiran" accept="image/jpeg,mage/jpg,image/gif,image/png,application/pdf,image/x-eps">-->

<!--                                <p class="help-block">Upload file Invoice Atau tagihan pembayaran lain nya jika diperlukan.</p>-->
<!--                            </div>-->
<!--                        </div>-->

<!--                        <div class="form-group">-->
<!--                            <label for="inputKeterangan" class="col-sm-2 control-label">Keterangan</label>-->

<!--                            <div class="col-sm-10">-->
<!--                                <textarea class="form-control" rows="3" th:field="*{keterangan}" name="ketarangan" id="inputKeterangan" placeholder="Keterangan ..."></textarea>-->
<!--                            </div>-->
<!--                        </div>-->


<!--                        <input type="hidden" name="id" th:field="*{id}">-->
<!--                    </div>-->
<!--                    &lt;!&ndash; /.box-body &ndash;&gt;-->
<!--                    <div class="box-footer">-->

<!--                        <a th:href="@{/transaksi/pengajuandana}" class="btn btn-default">Cancel</a>-->
<!--                        <button type="submit" class="btn btn-info pull-right" id="simpan">Save</button>-->

<!--                    </div>-->
<!--                    <div class="row" th:each="dataPengajuanDana1,row : ${pengajuanDana}">-->
<!--                        <input type="hidden" th:value="${dataPengajuanDana1.id}" class="flat-red" name="pengajuanDana">-->
<!--                    </div>-->
<!--                    &lt;!&ndash; /.box-footer &ndash;&gt;-->
<!--                </form>-->
<!--            </div>-->
<!--        </div>-->
<!--    </div>-->
<!--</section>-->

<!--<section layout:fragment="footer" class="script">-->
<!--    <script>-->
<!--        $(function () {-->
<!--            //Initialize Select2 Elements-->
<!--            $('.select2').select2()-->

<!--            //Datemask dd/mm/yyyy-->
<!--            $('#datemask').inputmask('yyyy-mm-dd', { 'placeholder': 'dd/mm/yyyy' })-->
<!--            //Datemask2 mm/dd/yyyy-->
<!--            $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })-->
<!--            //Money Euro-->
<!--            $('[data-mask]').inputmask()-->

<!--            //Date range picker-->
<!--            $('#reservation').daterangepicker()-->
<!--            //Date range picker with time picker-->
<!--            $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})-->
<!--            //Date range as a button-->
<!--            $('#daterange-btn').daterangepicker(-->
<!--                {-->
<!--                    ranges   : {-->
<!--                        'Today'       : [moment(), moment()],-->
<!--                        'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],-->
<!--                        'Last 7 Days' : [moment().subtract(6, 'days'), moment()],-->
<!--                        'Last 30 Days': [moment().subtract(29, 'days'), moment()],-->
<!--                        'This Month'  : [moment().startOf('month'), moment().endOf('month')],-->
<!--                        'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]-->
<!--                    },-->
<!--                    startDate: moment().subtract(29, 'days'),-->
<!--                    endDate  : moment()-->
<!--                },-->
<!--                function (start, end) {-->
<!--                    $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))-->
<!--                }-->
<!--            )-->

<!--            //Date picker-->
<!--            $('#tanggalPenerimaan').datepicker({-->
<!--                autoclose: true, locale: { format: 'YYYY-MM-DD' }-->
<!--            })-->

<!--            //iCheck for checkbox and radio inputs-->
<!--            $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({-->
<!--                checkboxClass: 'icheckbox_minimal-blue',-->
<!--                radioClass   : 'iradio_minimal-blue'-->
<!--            })-->
<!--            //Red color scheme for iCheck-->
<!--            $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({-->
<!--                checkboxClass: 'icheckbox_minimal-red',-->
<!--                radioClass   : 'iradio_minimal-red'-->
<!--            })-->
<!--            //Flat red color scheme for iCheck-->
<!--            $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({-->
<!--                checkboxClass: 'icheckbox_flat-green',-->
<!--                radioClass   : 'iradio_flat-green'-->
<!--            })-->

<!--            //Colorpicker-->
<!--            $('.my-colorpicker1').colorpicker()-->
<!--            //color picker with addon-->
<!--            $('.my-colorpicker2').colorpicker()-->

<!--            //Timepicker-->
<!--            $('.timepicker').timepicker({-->
<!--                showInputs: false-->
<!--            })-->
<!--        })-->
<!--    </script>-->
<!--    <script>-->
<!--        $(".js-example-placeholder-single").select2({-->
<!--            placeholder: "Pilih Salah Satu",-->
<!--            allowClear: true-->
<!--        });-->

<!--        $('.simpan').click(function () {-->
<!--            Swal.fire({-->
<!--                position: 'top-end',-->
<!--                type: 'success',-->
<!--                title: 'Your work has been saved',-->
<!--                showConfirmButton: false-->
<!--            })-->
<!--        });-->
<!--    </script>-->
<!--</section>-->
<!--</body>-->
<!--</html>-->